Create Deposit Bank Account

POSThttps://bank.dattaremit.com/api/deposit_bank_accounts

Requires a bank-scoped key.

Creates a deposit bank account.

## State

StateDescription
storingThe Platform is storing the deposit bank account details in our private store
createdThe Platform has created the deposit bank account

Required scope: deposit_bank_accounts:execute

Body Params

required
namestring

The name of the deposit bank account.

typemain | sub_accountrequired

The account type. To generate deposit bank accounts with their own unique account number set this to "main". To generate deposit bank accounts with the same account number as the parent deposit bank account set this to "sub_account". This setting will only generate a unique identifier for the deposit bank and will not result in a unique account number being generated. "sub_account" is only available for customer-level deposit bank accounts.

account_guidstringrequired

The fiat or reserve account guid.

customer_guidstring

The unique identifier for the customer.

parent_deposit_bank_account_guidstring

The unique identifier for the bank-level deposit bank account. This is only required for sub-accounts. Required when type is sub_account.

labelsstring[]

The labels associated with the bank account.

Responses

201

Deposit Bank Account created

401

Unauthorized - Authentication failed

403

Invalid scope

409

Conflict

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/deposit_bank_accounts \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "type": "main",
  "account_guid": "string",
  "name": "string",
  "customer_guid": "string",
  "parent_deposit_bank_account_guid": "string",
  "labels": [
    "string"
  ]
}'

Response

Deposit Bank Account created

{
  "guid": "string",
  "name": "string",
  "type": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "account_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "deleted_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "state": "string",
  "unique_memo_id": "string",
  "counterparty_name": "string",
  "counterparty_address": {
    "street": "string",
    "street2": "string",
    "city": "string",
    "subdivision": "string",
    "postal_code": "string",
    "country_code": "string"
  },
  "account_details": [
    {
      "account_number": "string"
    }
  ],
  "routing_details": [
    {
      "routing_number_type": "string",
      "routing_number": "string"
    }
  ],
  "parent_deposit_bank_account_guid": "string",
  "labels": [
    "string"
  ]
}